<html>
<head>
<title>OGRE: Ogre::LinkedSkeletonAnimationSource Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a></div>
<h1>Ogre::LinkedSkeletonAnimationSource Struct Reference</h1><!-- doxytag: class="Ogre::LinkedSkeletonAnimationSource" -->Link to another skeleton to share animations.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1LinkedSkeletonAnimationSource-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#7a01cb43456b193136f19dd60e9ec7f2">LinkedSkeletonAnimationSource</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;skelName, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scl)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#d04b9f46242d6c0f8226f423274a3c40">LinkedSkeletonAnimationSource</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;skelName, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scl, <a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a> skelPtr)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#18367921f5c2e7eddaf14a54dacd3484">skeletonName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#02c73a85564ec0047f8de9b71e771331">pSkeleton</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#79bb4debcd21595087623b9a8d17d121">scale</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Link to another skeleton to share animations. 
<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00504">504</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7a01cb43456b193136f19dd60e9ec7f2"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource" ref="7a01cb43456b193136f19dd60e9ec7f2" args="(const String &amp;skelName, Real scl)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>skelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>scl</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00509">509</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d04b9f46242d6c0f8226f423274a3c40"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource" ref="d04b9f46242d6c0f8226f423274a3c40" args="(const String &amp;skelName, Real scl, SkeletonPtr skelPtr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>skelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>scl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a>&nbsp;</td>
          <td class="paramname"> <em>skelPtr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00511">511</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="18367921f5c2e7eddaf14a54dacd3484"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::skeletonName" ref="18367921f5c2e7eddaf14a54dacd3484" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#18367921f5c2e7eddaf14a54dacd3484">Ogre::LinkedSkeletonAnimationSource::skeletonName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00506">506</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="02c73a85564ec0047f8de9b71e771331"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::pSkeleton" ref="02c73a85564ec0047f8de9b71e771331" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#02c73a85564ec0047f8de9b71e771331">Ogre::LinkedSkeletonAnimationSource::pSkeleton</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00507">507</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="79bb4debcd21595087623b9a8d17d121"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::scale" ref="79bb4debcd21595087623b9a8d17d121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#79bb4debcd21595087623b9a8d17d121">Ogre::LinkedSkeletonAnimationSource::scale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h-source.html#l00508">508</a> of file <a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSkeleton_8h-source.html">OgreSkeleton.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:53 2008
</p>
</body>
</html>
